<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>

  <!-- dropzone -->
  <script src="https://cdn.jsdelivr.net/npm/dropzone@5/dist/min/dropzone.min.js"></script>
  <link
    rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/dropzone@5/dist/min/dropzone.min.css"
    type="text/css"
  />
</head>

<body>

<div class="container my-5">

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
      <a class="navbar-brand" href="/" th:text="#{Home}"></a>
    </div>
  </nav>

  <form action="/upload" class="dropzone rounded border-primary dz-clickable" id="my-awesome-dropzone">
    <div class="dz-default dz-message">

      <i class="bi-cloud-upload-fill text-primary m-1" style="font-size: 2rem"></i>
      <button class="dz-button m-1" type="button" style="font-size: 2rem; color: black;" th:text="#{Add_Files}"></button>
    </div>
  </form>

</div>

</body>

<script>
  Dropzone.options.myAwesomeDropzone = {
    init: function () {
      this.on("complete", function () {
        if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
          console.log('🔵 accepted files = ' + this.getAcceptedFiles().length)
          console.log('🔵 rejected files = ' + this.getRejectedFiles().length)
          console.log('🔵 upload finished -> redirect to classification running page')
          window.location = '/'
        }
      });
    },
    createImageThumbnails: false,
    parallelUploads: 10,
    timeout: 60000
  }
</script>

</html>
